ubuntu/+source/yelp:ubuntu/xenial-devel

Last commit made on 2016-03-21
Get this branch:
git clone -b ubuntu/xenial-devel https://git.launchpad.net/ubuntu/+source/yelp
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/xenial-devel
Repository:
lp:ubuntu/+source/yelp

Recent commits

be1f9c8... by Iain Lane on 2016-03-21

Import patches-unapplied version 3.18.1-1ubuntu4 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: d39b301b7d85dff02425815d695a3fcd7d044910

New changelog entries:
  * debian/patches/0001-libyelp-fix-handling-of-documents-using-local-paths.patch:
    Cherry-pick from upstream to fix absolute paths given as parameters. (LP:
    #1559070)

d39b301... by Robert Ancell on 2016-03-10

Import patches-unapplied version 3.18.1-1ubuntu3 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: df190c1adc987397a3fd263593fd4562232d69fe

New changelog entries:
  * debian/patches/06_make_ubuntu_docs_default.patch:
    - Fix usage of XDG_CURRENT_DESKTOP (LP: #1554878)

df190c1... by Iain Lane on 2016-02-16

Import patches-unapplied version 3.18.1-1ubuntu2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 9825879858a3b1f1c9667157bf77bbfae267a490

New changelog entries:
  * Reapply 3.16.1-1ubuntu2, sorry!

9825879... by Iain Lane on 2016-01-13

Import patches-unapplied version 3.18.1-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: f51ecff841ce4bd9c7ff1a6b6e9422c18f38b336

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/control{,.in}: Drop Recommends on ttf-dejavu; not used by Ubuntu.
    - debian/patches/05_menu_tooltip.patch: Change comment in .desktop file to
      refer to Unity instead of GNOME.
    - debian/patches/06_make_ubuntu_docs_default.patch: On Unity, use
      ubuntu-docs by default.
    - debian/patches/07_disable_package_search.patch: Remove "Search for
      packages" feature since it doesn't work with Ubuntu's default install.
    - debian/source_yelp.py: Install apport hook
  * Build with xvfb-run and dbus-run-session, otherwise there's a crash when
    gtk-docing. See debian #803104.

f51ecff... by Michael Biebl on 2015-10-24

Import patches-unapplied version 3.18.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cde03265557a94fc993cc237f3a08256898f01ca

New changelog entries:
  [ Josselin Mouette ]
  * Remove Debian menu entry.
  [ Andreas Henriksson ]
  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - switch from libwebkitgtk-3.0-dev to libwebkit2gtk-4.0-dev (>= 2.7.1)
  [ Michael Biebl ]
  * Fix typo in debian/copyright.
  * Override the lintian error source-is-missing for data/mathjax/*. The
    non-minified files are shipped in data/mathjax/unpacked/.
  * Drop debian/patches/03_info_crasher.patch, fixed upstream with a different
    approach.
  * Parts of libyelp moved into a new package-private libyelpcommon library.
    Install that new library along with the new web extension as part of
    libyelp0. Make sure to exclude those shared libraries from dh_makeshlibs.
    Update the symbols file for libyelp0 accordingly and remove all those
    symbols which are now private and part of libyelpcommon.
  * There are still a few symbols left which are private and not part of the
    public API. Mark them as (conditional). See also bgo#756658.

cde0326... by Michael Biebl on 2015-05-19

Import patches-unapplied version 3.16.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 70284e8ebe69c9efd667b0b31f50d3b23bc35edc

New changelog entries:
  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.38.0).
  * Bump Depends on yelp-xsl to (>= 3.12.0).
  * Update symbols files. A few private symbols were dropped. This should be
    fine since yelp has a strictly versioned dependency on libyelp0.
  * Update debian/copyright and convert it to the machine-readable copyright
    format 1.0.

70284e8... by Michael Biebl on 2014-10-14

Import patches-unapplied version 3.14.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7d5d2cde6149f6d2752c2e65e7e5a82bd84828fc

New changelog entries:
  * New upstream release.
  * Update Homepage URL.
  * Drop the versioned Breaks against yelp << 3.13 from libyelp0. The yelp
    package has a strictly versioned dependendency on libyelp0, so the
    packages can't get out of sync.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Refresh patches.

7d5d2cd... by Andreas Henriksson on 2014-09-23

Import patches-unapplied version 3.14.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0918229ae32539db8ef04fdba726203a36b9cfa2

New changelog entries:
  * libyelp0: Bump Breaks on yelp to << 3.13 to prevent half-upgraded
    broken state because of removed symbols (which is unused outside
    of src:yelp).
  * New upstream release.
  * Upload to unstable.

0918229... by Andreas Henriksson on 2014-09-06

Import patches-unapplied version 3.13.90-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 398f7f9b755e42eecc7a55bdf504a1178975cb36

New changelog entries:
  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Recommend fonts-dejavu instead of ttf-dejavu. Closes: #746629.
  [ Andreas Henriksson ]
  * New upstream development release.
  * Bump build-dependencies according to configure.ac changes:
    + libgtk-3-dev (>= 3.13.3)
    + yelp-xsl (>= 3.12.0)
  * Update debian/libyelp0.symbols
    - 4 missing symbols, unused and dropped in upstream UI revamp:
      yelp_location_entry_* and yelp_view_get_action_group
    - a few additions (yelp_search_* etc. equivalent for yelp_location_*).

398f7f9... by Andreas Henriksson on 2014-04-04

Import patches-unapplied version 3.12.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: dad2c2f03fa32246535186d488054a54c29bb57a

New changelog entries:
  * New upstream release.
  * Bump build-dependency on gtk+ to >= 3.8.0 according to configure.ac